gavl_compression_info_t Struct Reference
Compressed stream support

Compression format. More...

`#include <compression.h>`

## Data Fields

int | flags
| ORed combination of GAVL_COMPRESSION_* flags. More...
gavl_codec_id_t | id
| Codec ID. More...
uint8_t * | global_header
| Global header. More...
int | global_header_len
| Length of global header. More...
int | bitrate
| Needed by some codecs, negative values mean VBR. More...
int | palette_size
| Size of the embedded palette for image codecs. More...

## Detailed Description

Compression format.

This defines parameters of the compression. The most important value is the gavl_codec_id_t. Formats, which support a global header, store it here as well.

Usually there must be an associated audio or video format, because some containers need this as well.

## Field Documentation

## flags

int gavl_compression_info_t::flags

ORed combination of GAVL_COMPRESSION_* flags.

## id

gavl_codec_id_t gavl_compression_info_t::id

Codec ID.

## global_header

uint8_t* gavl_compression_info_t::global_header

Global header.

## global_header_len

int gavl_compression_info_t::global_header_len

Length of global header.

## bitrate

int gavl_compression_info_t::bitrate

Needed by some codecs, negative values mean VBR.

## palette_size

int gavl_compression_info_t::palette_size

Size of the embedded palette for image codecs.

The documentation for this struct was generated from the following file:

- /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_multimedia_gavl/gavl/work/gavl-1.4.0/include/gavl/compression.h